import { MonoTypeOperatorFunction } from "rxjs";
/**
 * Doesn't emit value if value of given path equals restricted.
 * @param path keys split by dots
 * @example 'a.b.c' for {a: {b: {c: 5}}} returns 5, as well as '[0].a.b.c' for [{a: {b: {c: 5}}}]
 * @param forValue restricted value
 */
export declare function rejectFor<T>(path: string, forValue: any): MonoTypeOperatorFunction<T>;
