"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Doesn't emit value if it's truthy (true, {}, [], !0)
 */
function rejectTruthy() {
    return function (source) { return source.pipe(operators_1.filter(function (value) { return !value; })); };
}
exports.rejectTruthy = rejectTruthy;
//# sourceMappingURL=reject-truthy.operator.js.map