"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Doesn't emit value if it's falsy (null, 0, false, undefined)
 */
function rejectFalsy() {
    return function (source) { return source.pipe(operators_1.filter(function (value) { return !!value; })); };
}
exports.rejectFalsy = rejectFalsy;
//# sourceMappingURL=reject-falsy.operator.js.map