"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
/**
 * Doesn't emit value if it's one of restricted
 */
function rejectValues(values) {
    return function (source) { return source.pipe(operators_1.filter(function (value) { return values.indexOf(value) === -1; })); };
}
exports.rejectValues = rejectValues;
//# sourceMappingURL=reject-values.operator.js.map