import { MonoTypeOperatorFunction } from "rxjs";
/**
 * Handle response and performs given callbacks if callbacks param exists and returns final callback function
 * @param finalCallback function that will be returned
 * @param callbacks optional array of functions that will be performed if response exists
 */
export declare function switchAndCall<T>(finalCallback: Function, callbacks?: Function[]): MonoTypeOperatorFunction<T>;
