import { MonoTypeOperatorFunction } from 'rxjs';
import { TogglableStatus } from '../shared/types/togglable-status';
/**
 * Toggles status in passed reference while executing subscription.
 * @param statusReference reference to external variable of type TogglableStatus that describes status of observable.
 */
export declare function toggleStatus<T>(statusReference: TogglableStatus): MonoTypeOperatorFunction<T>;
